net.minecraftforge.client.event

## Class GuiScreenEvent.InitGuiEvent.Post

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.client.event.GuiScreenEvent
    - - net.minecraftforge.client.event.GuiScreenEvent.InitGuiEvent
      - - net.minecraftforge.client.event.GuiScreenEvent.InitGuiEvent.Post

- Enclosing class:
    GuiScreenEvent.InitGuiEvent

      public static class GuiScreenEvent.InitGuiEvent.Post
      extends GuiScreenEvent.InitGuiEvent

  This event fires right after `GuiScreen.initGui()`. This is a good place to alter a GuiScreen's component layout if desired.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraftforge.client.event.GuiScreenEvent.InitGuiEvent

      `GuiScreenEvent.InitGuiEvent.Post, GuiScreenEvent.InitGuiEvent.Pre`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.client.event.GuiScreenEvent

      `GuiScreenEvent.ActionPerformedEvent, GuiScreenEvent.DrawScreenEvent, GuiScreenEvent.InitGuiEvent`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    - ### Fields inherited from class net.minecraftforge.client.event.GuiScreenEvent.InitGuiEvent

      `buttonList`

    - ### Fields inherited from class net.minecraftforge.client.event.GuiScreenEvent

      `gui`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiScreenEvent.InitGuiEvent.Post(GuiScreen gui, java.util.List buttonList)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuiScreenEvent.InitGuiEvent.Post

          public GuiScreenEvent.InitGuiEvent.Post(GuiScreen gui,
                                          java.util.List buttonList)